Author Topic: Upgrade 1.2.1 to 1.2.2 failed  (Read 5438 times)

Offline daspi

  • Newbie
  • *
  • Posts: 46
  • Karma: +4/-0
    • View Profile
Upgrade 1.2.1 to 1.2.2 failed
« on: June 22, 2015, 05:17:27 PM »
I am trying to upgrade automatically but it fails. If I need to do it manually, how? Or can it be resolved so it runs automatically? I've already replaced the backup.php as suggested elsewhere.

abantecart_upgrade_122

 Error: Cannot download file. Repository error or invalid extension key. Try one more time. If problem persist download file in your order history and install manually.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1772
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #1 on: June 23, 2015, 03:08:53 AM »
Please try to download upgrade package by this link ,
Then go to admin menu->extensions->install Extension -> tab "upload extension" and upload package.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4093
  • Karma: +202/-0
    • View Profile
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #2 on: June 23, 2015, 03:13:55 AM »
I am trying to upgrade automatically but it fails. If I need to do it manually, how?

Check this guide http://www.abantecart.com/ecommerce-documentation/user-manual/installation/core-upgrade#Install_manually
“Chuck Norris is so amazing.”
― Mother Teresa

Offline daspi

  • Newbie
  • *
  • Posts: 46
  • Karma: +4/-0
    • View Profile
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #3 on: June 23, 2015, 08:49:23 AM »
Please try to download upgrade package by this link ,
Then go to admin menu->extensions->install Extension -> tab "upload extension" and upload package.

OK, downloaded abantecart_1.2.2_upgrade_only.tar.gz and tried to install extension:
 Error: Can't find config-file package.xml inside package. Probably package is broken. Structure of package error.

Should I download the full package instead?

Offline daspi

  • Newbie
  • *
  • Posts: 46
  • Karma: +4/-0
    • View Profile
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #4 on: June 23, 2015, 09:00:21 AM »
I've decompressed the files and all is there. Not sure why I get above error message. I'd like to get the automated upgrade to work. I've looked at the manual upgrade instructions and I can try that next, just want to see first if there is anything else to try to get it to work with extension upload. Or the whole automated process. I feel that would be important for future upgrades and extension installs to work smoothly. I am still in the evaluation stage. Thank you for the help so far.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1772
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #5 on: June 23, 2015, 09:25:26 AM »
Please check write permissions for folder /admin/system/ and it's subfolders.
i guess apache user have no access for writing.
try to set 777 for all folders and files except .htaccess and public_html/index.php
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline daspi

  • Newbie
  • *
  • Posts: 46
  • Karma: +4/-0
    • View Profile
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #6 on: June 24, 2015, 02:08:46 PM »
Please check write permissions for folder /admin/system/ and it's subfolders.
i guess apache user have no access for writing.
try to set 777 for all folders and files except .htaccess and public_html/index.php

Done, same issues both ways. Automatic and upload extension.

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1772
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #7 on: June 24, 2015, 02:15:48 PM »
what OS do you use?
php version?
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline daspi

  • Newbie
  • *
  • Posts: 46
  • Karma: +4/-0
    • View Profile
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #8 on: June 24, 2015, 02:40:02 PM »
CENTOS 5.11 x86_64 standard

cPanel Version    11.48.4 (build 4)
Theme    paper_lantern
Apache Version    2.2.29
PHP Version    5.4.40
MySQL Version    5.5.42-cll
Architecture    x86_64
Operating System    linux
Shared IP Address    68.171.151.34
Path to Sendmail    /usr/sbin/sendmail
Path to Perl    /usr/bin/perl
Perl Version    5.10.1
Kernel Version    2.6.18-371.6.1.el5

Offline daspi

  • Newbie
  • *
  • Posts: 46
  • Karma: +4/-0
    • View Profile
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #9 on: June 26, 2015, 08:02:49 AM »
Tried automated update again today.  Error: store_id is empty

Offline Gordon Taylor

  • Global Moderator
  • Full Member
  • *****
  • Posts: 149
  • Karma: +27/-0
    • View Profile
    • Natural Handcrafted Soaps
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #10 on: June 26, 2015, 10:57:58 AM »
Same here, it errors store id empty

After checking system/config.php the id is there, some how it's not reading it.

Spoke with Dmitry, core guys will take a look, the ID is definently where it's supposed to be

// Unique AbanteCart store ID
define('UNIQUE_ID', '8cb315ce2ada09acfae3eae72a0a084d');

Some how, the upgrade is not reading it.
« Last Edit: June 26, 2015, 11:09:12 AM by Gordon Taylor »

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1772
  • Karma: +246/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #11 on: June 30, 2015, 04:37:56 AM »
is this problem still present?
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline Gordon Taylor

  • Global Moderator
  • Full Member
  • *****
  • Posts: 149
  • Karma: +27/-0
    • View Profile
    • Natural Handcrafted Soaps
Re: Upgrade 1.2.1 to 1.2.2 failed
« Reply #12 on: June 30, 2015, 06:50:17 AM »
No, you fixed it!

 

Powered by SMFPacks Social Login Mod